Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 00:00:20 +0000

>>> (locale-info 'codeset)
>>
>> If you mean that set-locale-environment should use that, please say 
>> that explicitly.  And then feel free to suggest a patch that does TRT 
>> with all the convoluted logic and preferences there, so that we don't 
>> disrupt the setup it took us decades to come up to, for the benefit of 
>> a single obscure locale.
>
> It's not for a single obscure locale, it's for all of them.
>

Except that most other locales have "UTF-8" in their name when UTF-8 
should be used, so the current logic selects the right encoding, without 
consulting (locale-info 'codeset).  For example, with the locale "mt_MT", 
Emacs uses ISO-8859-3, and with the locale "mt_MT.UTF-8", Emacs uses 
UTF-8.